Skip to main content
GET
/
transactions
/
{transactionId}
Get Transaction By Id
curl --request GET \
  --url https://api.obiex.finance/v1/transactions/{transactionId}
import requests

url = "https://api.obiex.finance/v1/transactions/{transactionId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.obiex.finance/v1/transactions/{transactionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Ok",
  "data": {
    "id": "e917faf4-acdc-4e12-afa8-cd03898e9e82",
    "createdAt": "2026-03-26T09:08:13.201Z",
    "updatedAt": "2026-03-26T09:08:13.201Z",
    "active": true,
    "reference": "faacc87c-e37c-4280-a81a-bf4341a5bb15",
    "description": "Transfer to @terence",
    "narration": null,
    "type": "DEBIT",
    "category": "WITHDRAWAL",
    "amount": 10,
    "walletId": "7b63f04c-e1c3-4ffe-952b-3840270cc996"
  }
}

Path Parameters

transactionId
string
required

Response

200 - application/json

Successful response

The response is of type object.